



<!doctype html>
<html lang="en">
  <head>
    
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-WXRH9C');</script>


    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    








  
    
  








<title>Flux Documentation</title>


    <meta name="description" content="Flux is a open source functional data scripting language designed for querying, analyzing, and acting on data.">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <link rel="shortcut icon" href="/img/favicon.png" type="image/png" sizes="32x32">

    

















  
    
    
      
    
  




<link rel="canonical" href="https://test2.docs.influxdata.com/flux/v0/" />

    
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/docsearch.js@2/dist/cdn/docsearch.min.css"/>









<link rel="stylesheet" title="light-theme" type="text/css" href="/light-theme.afbbd07806fed3f62b73d5a7049907389a898d06926078815d7c9773d7d848c0.css">


<link rel="alternate stylesheet" title="dark-theme" type="text/css" href="/dark-theme.fc8927a815354df4c494d68664dee3361648caa6e5a4981ea0c68fd5feb74f5c.css">


<link rel="stylesheet" title="sidebar-open" type="text/css" href="/dark-theme.56ede7c71d3385876a1c762e207372a1699e829612d789f952885f820d50394a.css">


<link rel="alternate stylesheet" title="sidebar-closed" type="text/css" href="/light-theme.b9796198db2f4e595588f9612cc06faa5b6f61322119b20af095d82a792468f7.css">


<link rel="stylesheet" type="text/css" href="/api.css">

    <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,500;0,700;1,500;1,700&family=Rubik:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap" rel="stylesheet">
    






<script type="text/javascript" src="/js/header.bundle.6241a543692fef2a49ece1724d5a5dc6844c56d551b921fdefd9b4cd62e7bd14.js"></script>
<script type="text/javascript">setStyleFromCookie();</script>
<script type="text/javascript">setSidebarState();</script>
    








  
    <meta name="docsearch:latest" content="true">
  
  
    <meta name="docsearch:searchTag" content="flux-v0">
  



  <meta name="docsearch:flux" content="true">



    




<meta name="latest" content="true">
<meta name="last-modified" content="2023-09-12 23:33:31 -0600 -0600">
    
<script type="text/javascript">
(function() {
  var didInit = false;
  function initMunchkin() {
    if(didInit === false) {
      didInit = true;
      Munchkin.init('972-GDU-533');
    }
  }
  var s = document.createElement('script');
  s.type = 'text/javascript';
  s.async = true;
  s.src = '//munchkin.marketo.net/munchkin.js';
  s.onreadystatechange = function() {
    if (this.readyState == 'complete' || this.readyState == 'loaded') {
      initMunchkin();
    }
  };
  s.onload = initMunchkin;
  document.getElementsByTagName('head')[0].appendChild(s);
})();
</script>


<img referrerpolicy="no-referrer-when-downgrade" src="https://static.scarf.sh/a.png?x-pxid=5581ee6b-3e7c-42b8-a507-38ea055c35ca"/>



    <meta name="Copyright" content="InfluxData Inc." />
  </head>
  <body class='flux'>
    
<noscript>
  <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-WXRH9C" height="0" width="0" style="display:none;visibility:hidden"></iframe>
</noscript>







<div class="topnav">
  <div class="topnav-left">
    <a class="influx-home" href="https://www.influxdata.com" title="InfluxData"><span
        class="icon-influx-logo"></span><span class="icon-influx-logotype"></span></a>
    <span class="divider"></span>
    <a class="docs-home" href="/"><span class=short>Doc</span><span class="long">umentation</span></a>
  </div>
  <div class="topnav-right">
    <div class="selector-dropdowns">
      




















<div class="dropdown">
  
    
    
      
      
    
    
    <p class="selected">Flux</p>
  
  
  <ul class="item-list products" data-category="Managed">
    
             
               
        
          

          

        
        
        <li>
          <a href='/influxdb/cloud/' >InfluxDB Cloud (TSM)</a>
        </li>
      
    
             
               
        
          

          

        
        
        <li>
          <a href='/influxdb/cloud-serverless/' >InfluxDB Cloud Serverless</a>
        </li>
      
    
      
    
             
               
        
          

          

        
        
        <li>
          <a href='/influxdb/cloud-dedicated/' >InfluxDB Cloud Dedicated</a>
        </li>
      
    
      
    
      
    
      
    
      
    
      
    
      
    
  </ul>
  <ul class="item-list products" data-category="Self-managed">
    
      
    
      
    
      
        

        
          
                   
          

        

        
        <li>
          <a href='/influxdb/clustered/' >InfluxDB Clustered</a>
        </li>
      
    
      
    
      
        

        
          
                   
          

        

        
        <li>
          <a href='/influxdb/v2/' >InfluxDB OSS</a>
        </li>
      
    
      
        

        
          
                   
          

        

        
        <li>
          <a href='/enterprise_influxdb/v1/' >InfluxDB Enterprise</a>
        </li>
      
    
      
    
      
    
      
    
      
    
  </ul>
  <ul class="item-list products" data-category="Other products">
    
      
    
      
    
      
    
      
    
      
    
      
    
      
               
        
          
          
          

        
        
        <li>
          <a href='/telegraf/v1/' >Telegraf</a>
        </li>
      
    
      
               
        
          
          
          

        
        
        <li>
          <a href='/kapacitor/v1/' >Kapacitor</a>
        </li>
      
    
      
               
        
          
          
          

        
        
        <li>
          <a href='/chronograf/v1/' >Chronograf</a>
        </li>
      
    
      
    
  </ul>
  <ul class="item-list products" data-category="Languages">
    
      
    
      
    
      
    
      
    
      
    
      
    
      
    
      
    
      
    
      
               
        
          
        
        
        <li>
          <a href='' class="active">Flux</a>
        </li>
      
    
  </ul>
</div>

      











    </div>
    <div class="buttons">
      <div class="search-btn">
        <button id="search-btn"
          onclick="toggleSidebar('sidebar-open');document.getElementById('algolia-search-input').focus();return false;"><span
            class="cf-icon Search_New"></span></button>
      </div>
      <button class="url-trigger" href="#"><span class="cf-icon CogSolid_New"></span></button>
      <button class="theme-switcher" id="theme-switch-light" onclick="switchStyle('light-theme');return false;"><span
          class="cf-icon Lightmode_New"></span></button>
      <button class="theme-switcher" id="theme-switch-dark" onclick="switchStyle('dark-theme');return false;"><span
          class="cf-icon Darkmode_New"></span></button>
    </div>
  </div>
</div>

<div class="page-wrapper">
  








  











  




<aside class="sidebar">
  <div class="sidebar-toggle" onclick="toggleSidebar('sidebar-closed');return false;"><a href="#"><span
      class="cf-icon SidebarClose"></span></a></div>
  <div class="search-and-nav-toggle">
    <div class="sidebar--search">
      <input  class="sidebar--search-field"
              id="algolia-search-input"
              type="text"
              accesskey="s"
              autocomplete="off"
              autocorrect="off"
              autocapitalize="off"
              spellcheck="false"
              dir="auto"
              placeholder='Search Flux'>
    </div>
    <a id="contents-toggle-btn" href="#">
      <span class="toggle-hamburger"></span>
    </a>
  </div>
  <ul id="nav-tree">

  
  
  

  
  



  <li class="nav-category active">
    
    <a href='/flux/v0/'>Flux documentation</a>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href='/flux/v0/get-started/'>Get started</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/get-started/data-model/'>Data model</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/get-started/syntax-basics/'>Syntax basics</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/get-started/query-basics/'>Query basics</a>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href='/flux/v0/data-types/'>Work with Flux types</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/data-types/basic/'>Basic types</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/bool/'>Boolean</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/bytes/'>Bytes</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/duration/'>Duration</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/regexp/'>Regular expression</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/string/'>String</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/time/'>Time</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/float/'>Float</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/int/'>Integer</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/uint/'>UIntegers</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/basic/null/'>Null</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/data-types/composite/'>Composite types</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/composite/record/'>Record</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/composite/array/'>Array</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/composite/dict/'>Dictionary</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/data-types/composite/function/'>Function</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/data-types/dynamic/'>Dynamic types</a>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    
    <a href='/flux/v0/define-functions/'>Define functions</a>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href='/flux/v0/join-data/'>Join data</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/inner/'>Inner join</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/left-outer/'>Left outer join</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/right-outer/'>Right outer join</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/full-outer/'>Full outer join</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/time/'>Join on time</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/join-data/troubleshoot-joins/'>Troubleshoot joins</a>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href=''>Query data sources</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/query-data/influxdb/'>InfluxDB</a>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/query-data/sql/'>SQL databases</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/amazon-rds/'>Amazon RDS</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/athena/'>Athena</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/bigquery/'>BigQuery</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/cockroachdb/'>CockroachDB</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/mariadb/'>MariaDB</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/mysql/'>MySQL</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/percona/'>Percona</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/postgresql/'>PostgreSQL</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/sap-hana/'>SAP HANA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/snowflake/'>Snowflake</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/sql-server/'>SQL Server</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/sqlite/'>SQLite</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/query-data/sql/vertica/'>Vertica</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/query-data/csv/'>CSV</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/query-data/bigtable/'>Bigtable</a>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href=''>Work with Prometheus</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/prometheus/scrape-prometheus/'>Scrape Prometheus metrics</a>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/prometheus/metric-types/'>Prometheus metric types</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/prometheus/metric-types/counter/'>Counter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/prometheus/metric-types/gauge/'>Gauge</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/prometheus/metric-types/histogram/'>Histogram</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/prometheus/metric-types/summary/'>Summary</a>
                
              </li>
            
            </ul>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href=''>Write to data sources</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/write-data/influxdb/'>InfluxDB</a>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/write-data/sql/'>SQL databases</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/amazon-rds/'>Amazon RDS</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/bigquery/'>BigQuery</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/cockroachdb/'>CockroachDB</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/mariadb/'>MariaDB</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/mysql/'>MySQL</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/percona/'>Percona</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/postgresql/'>PostgreSQL</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/sap-hana/'>SAP HANA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/snowflake/'>Snowflake</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/sql-server/'>SQL Server</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/sqlite/'>SQLite</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/write-data/sql/vertica/'>Vertica</a>
                
              </li>
            
            </ul>
          
        </li>
      
      </ul>
    
  </li>



  
  
    <h4 class="reference">Reference</h4>
    



  <li class="nav-category ">
    
    <a href='/flux/v0/release-notes/'>Release notes</a>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href='/flux/v0/stdlib/'>Standard library</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/stdlib/all-functions/'>View all functions</a>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/universe/'>universe (built-in)</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/aggregatewindow/'>aggregateWindow</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/bool/'>bool</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/bottom/'>bottom</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/bytes/'>bytes</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/chandemomentumoscillator/'>chandeMomentumOscillator</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/columns/'>columns</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/contains/'>contains</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/count/'>count</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/cov/'>cov</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/covariance/'>covariance</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/cumulativesum/'>cumulativeSum</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/derivative/'>derivative</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/die/'>die</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/difference/'>difference</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/display/'>display</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/distinct/'>distinct</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/doubleema/'>doubleEMA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/drop/'>drop</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/duplicate/'>duplicate</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/duration/'>duration</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/elapsed/'>elapsed</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/exponentialmovingaverage/'>exponentialMovingAverage</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/fill/'>fill</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/filter/'>filter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/findcolumn/'>findColumn</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/findrecord/'>findRecord</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/first/'>first</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/float/'>float</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/getcolumn/'>getColumn</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/getrecord/'>getRecord</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/group/'>group</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/highestaverage/'>highestAverage</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/highestcurrent/'>highestCurrent</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/highestmax/'>highestMax</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/histogram/'>histogram</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/histogramquantile/'>histogramQuantile</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/holtwinters/'>holtWinters</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/hourselection/'>hourSelection</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/increase/'>increase</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/int/'>int</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/integral/'>integral</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/join/'>join</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/kaufmansama/'>kaufmansAMA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/kaufmanser/'>kaufmansER</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/keep/'>keep</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/keys/'>keys</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/keyvalues/'>keyValues</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/last/'>last</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/length/'>length</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/limit/'>limit</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/linearbins/'>linearBins</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/logarithmicbins/'>logarithmicBins</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/lowestaverage/'>lowestAverage</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/lowestcurrent/'>lowestCurrent</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/lowestmin/'>lowestMin</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/map/'>map</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/max/'>max</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/mean/'>mean</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/median/'>median</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/min/'>min</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/mode/'>mode</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/movingaverage/'>movingAverage</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/now/'>now</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/pearsonr/'>pearsonr</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/pivot/'>pivot</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/quantile/'>quantile</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/range/'>range</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/reduce/'>reduce</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/relativestrengthindex/'>relativeStrengthIndex</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/rename/'>rename</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/sample/'>sample</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/set/'>set</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/skew/'>skew</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/sort/'>sort</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/spread/'>spread</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/statecount/'>stateCount</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/stateduration/'>stateDuration</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/statetracking/'>stateTracking</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/stddev/'>stddev</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/string/'>string</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/sum/'>sum</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tablefind/'>tableFind</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tail/'>tail</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/time/'>time</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/timedmovingaverage/'>timedMovingAverage</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/timeshift/'>timeShift</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/timeweightedavg/'>timeWeightedAvg</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tobool/'>toBool</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/today/'>today</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tofloat/'>toFloat</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/toint/'>toInt</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/top/'>top</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tostring/'>toString</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/totime/'>toTime</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/touint/'>toUInt</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tripleema/'>tripleEMA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/tripleexponentialderivative/'>tripleExponentialDerivative</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/truncatetimecolumn/'>truncateTimeColumn</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/uint/'>uint</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/union/'>union</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/unique/'>unique</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/window/'>window</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/universe/yield/'>yield</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/array/'>array</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/array/concat/'>array.concat</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/array/filter/'>array.filter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/array/from/'>array.from</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/array/map/'>array.map</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/bitwise/'>bitwise</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/sand/'>bitwise.sand</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/sclear/'>bitwise.sclear</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/slshift/'>bitwise.slshift</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/snot/'>bitwise.snot</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/sor/'>bitwise.sor</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/srshift/'>bitwise.srshift</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/sxor/'>bitwise.sxor</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/uand/'>bitwise.uand</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/uclear/'>bitwise.uclear</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/ulshift/'>bitwise.ulshift</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/unot/'>bitwise.unot</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/uor/'>bitwise.uor</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/urshift/'>bitwise.urshift</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/bitwise/uxor/'>bitwise.uxor</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/contrib/'>contrib</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/anaisdg/'>anaisdg</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/anaisdg/anomalydetection/'>anomalydetection</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/anaisdg/anomalydetection/mad/'>anomalydetection.mad</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/anaisdg/statsmodels/'>statsmodels</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/anaisdg/statsmodels/linearregression/'>statsmodels.linearRegression</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/bonitoo-io/'>bonitoo-io</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/alerta/'>alerta</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/alerta/alert/'>alerta.alert</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/alerta/endpoint/'>alerta.endpoint</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/hex/'>hex</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/hex/bytes/'>hex.bytes</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/hex/int/'>hex.int</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/hex/string/'>hex.string</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/hex/uint/'>hex.uint</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/servicenow/'>servicenow</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/servicenow/endpoint/'>servicenow.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/servicenow/event/'>servicenow.event</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/'>tickscript</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/alert/'>tickscript.alert</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/compute/'>tickscript.compute</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/deadman/'>tickscript.deadman</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/definecheck/'>tickscript.defineCheck</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/groupby/'>tickscript.groupBy</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/join/'>tickscript.join</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/select/'>tickscript.select</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/tickscript/selectwindow/'>tickscript.selectWindow</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/victorops/'>victorops</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/victorops/alert/'>victorops.alert</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/victorops/endpoint/'>victorops.endpoint</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/bonitoo-io/zenoss/'>zenoss</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/zenoss/endpoint/'>zenoss.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/bonitoo-io/zenoss/event/'>zenoss.event</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/chobbs/'>chobbs</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/chobbs/discord/'>discord</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/chobbs/discord/endpoint/'>discord.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/chobbs/discord/send/'>discord.send</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/jsternberg/'>jsternberg</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/jsternberg/influxdb/'>influxdb</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/jsternberg/influxdb/from/'>from</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/jsternberg/influxdb/select/'>influxdb.select</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/qxip/'>qxip</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/qxip/clickhouse/'>clickhouse</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/clickhouse/query/'>clickhouse.query</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/qxip/hash/'>hash</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/b64/'>hash.b64</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/cityhash64/'>hash.cityhash64</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/hmac/'>hash.hmac</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/md5/'>hash.md5</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/sha1/'>hash.sha1</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/sha256/'>hash.sha256</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/hash/xxhash64/'>hash.xxhash64</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/qxip/logql/'>logql</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/qxip/logql/query_range/'>logql.query_range</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/rhajek/'>rhajek</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/rhajek/bigpanda/'>bigpanda</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/rhajek/bigpanda/endpoint/'>bigpanda.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/rhajek/bigpanda/sendalert/'>bigpanda.sendAlert</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/rhajek/bigpanda/statusfromlevel/'>bigpanda.statusFromLevel</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/rohansreerama5/'>RohanSreerama5</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/rohansreerama5/naivebayesclassifier/'>naiveBayesClassifier</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/rohansreerama5/naivebayesclassifier/naivebayes/'>naiveBayesClassifier.naiveBayes</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/sranka/'>sranka</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/sranka/opsgenie/'>opsgenie</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/opsgenie/endpoint/'>opsgenie.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/opsgenie/responderstojson/'>opsgenie.respondersToJSON</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/opsgenie/sendalert/'>opsgenie.sendAlert</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/sranka/sensu/'>sensu</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/sensu/endpoint/'>sensu.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/sensu/event/'>sensu.event</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/sensu/tosensuname/'>sensu.toSensuName</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/sranka/teams/'>teams</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/teams/endpoint/'>teams.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/teams/message/'>teams.message</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/sranka/telegram/'>telegram</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/telegram/endpoint/'>telegram.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/telegram/message/'>telegram.message</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/sranka/webexteams/'>webexteams</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/webexteams/endpoint/'>webexteams.endpoint</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/sranka/webexteams/message/'>webexteams.message</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/contrib/tomhollingworth/'>tomhollingworth</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/contrib/tomhollingworth/events/'>events</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/contrib/tomhollingworth/events/duration/'>events.duration</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/csv/'>csv</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/csv/from/'>csv.from</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/date/'>date</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/date/boundaries/'>boundaries</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/friday/'>boundaries.friday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/monday/'>boundaries.monday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/month/'>boundaries.month</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/saturday/'>boundaries.saturday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/sunday/'>boundaries.sunday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/thursday/'>boundaries.thursday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/tuesday/'>boundaries.tuesday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/wednesday/'>boundaries.wednesday</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/week/'>boundaries.week</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/date/boundaries/yesterday/'>boundaries.yesterday</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/add/'>date.add</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/hour/'>date.hour</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/microsecond/'>date.microsecond</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/millisecond/'>date.millisecond</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/minute/'>date.minute</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/month/'>date.month</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/monthday/'>date.monthDay</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/nanosecond/'>date.nanosecond</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/quarter/'>date.quarter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/scale/'>date.scale</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/second/'>date.second</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/sub/'>date.sub</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/time/'>date.time</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/truncate/'>date.truncate</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/week/'>date.week</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/weekday/'>date.weekDay</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/year/'>date.year</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/date/yearday/'>date.yearDay</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/dict/'>dict</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/dict/fromlist/'>dict.fromList</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/dict/get/'>dict.get</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/dict/insert/'>dict.insert</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/dict/remove/'>dict.remove</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/experimental/'>experimental</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/aggregate/'>aggregate</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/aggregate/rate/'>aggregate.rate</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/array/'>array</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/concat/'>array.concat</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/filter/'>array.filter</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/from/'>array.from</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/map/'>array.map</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/tobool/'>array.toBool</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/toduration/'>array.toDuration</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/tofloat/'>array.toFloat</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/toint/'>array.toInt</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/tostring/'>array.toString</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/totime/'>array.toTime</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/array/touint/'>array.toUInt</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/bigtable/'>bigtable</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bigtable/from/'>bigtable.from</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/bitwise/'>bitwise</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/sand/'>bitwise.sand</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/sclear/'>bitwise.sclear</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/slshift/'>bitwise.slshift</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/snot/'>bitwise.snot</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/sor/'>bitwise.sor</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/srshift/'>bitwise.srshift</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/sxor/'>bitwise.sxor</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/uand/'>bitwise.uand</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/uclear/'>bitwise.uclear</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/ulshift/'>bitwise.ulshift</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/unot/'>bitwise.unot</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/uor/'>bitwise.uor</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/urshift/'>bitwise.urshift</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/bitwise/uxor/'>bitwise.uxor</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/csv/'>csv</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/csv/from/'>csv.from</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/date/'>date</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/experimental/date/boundaries/'>boundaries</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/friday/'>boundaries.friday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/monday/'>boundaries.monday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/month/'>boundaries.month</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/saturday/'>boundaries.saturday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/sunday/'>boundaries.sunday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/thursday/'>boundaries.thursday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/tuesday/'>boundaries.tuesday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/wednesday/'>boundaries.wednesday</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/week/'>boundaries.week</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/date/boundaries/yesterday/'>boundaries.yesterday</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/dynamic/'>dynamic</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/dynamic/asarray/'>dynamic.asArray</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/dynamic/dynamic/'>dynamic.dynamic</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/dynamic/istype/'>dynamic.isType</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/dynamic/jsonencode/'>dynamic.jsonEncode</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/dynamic/jsonparse/'>dynamic.jsonParse</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/geo/'>geo</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/astracks/'>geo.asTracks</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/filterrows/'>geo.filterRows</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/getgrid/'>geo.getGrid</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/getlevel/'>geo.getLevel</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/gridfilter/'>geo.gridFilter</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/groupbyarea/'>geo.groupByArea</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/s2cellidtoken/'>geo.s2CellIDToken</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/s2celllatlon/'>geo.s2CellLatLon</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/shapedata/'>geo.shapeData</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_contains/'>geo.ST_Contains</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_distance/'>geo.ST_Distance</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_dwithin/'>geo.ST_DWithin</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_intersects/'>geo.ST_Intersects</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_length/'>geo.ST_Length</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/st_linestring/'>geo.ST_LineString</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/stcontains/'>geo.stContains</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/stdistance/'>geo.stDistance</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/stlength/'>geo.stLength</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/strictfilter/'>geo.strictFilter</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/torows/'>geo.toRows</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/geo/totaldistance/'>geo.totalDistance</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/http/'>http</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/experimental/http/requests/'>requests</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/http/requests/do/'>requests.do</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/http/requests/get/'>requests.get</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/http/requests/peek/'>requests.peek</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/experimental/http/requests/post/'>requests.post</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/http/get/'>http.get</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/influxdb/'>influxdb</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/influxdb/api/'>influxdb.api</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/iox/'>iox</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/iox/from/'>iox.from</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/iox/sql/'>iox.sql</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/iox/sqlinterval/'>iox.sqlInterval</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/json/'>json</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/json/parse/'>json.parse</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/mqtt/'>mqtt</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/mqtt/publish/'>mqtt.publish</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/mqtt/to/'>mqtt.to</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/oee/'>oee</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/oee/apq/'>oee.APQ</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/oee/computeapq/'>oee.computeAPQ</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/polyline/'>polyline</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/polyline/rdp/'>polyline.rdp</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/prometheus/'>prometheus</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/prometheus/histogramquantile/'>prometheus.histogramQuantile</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/prometheus/scrape/'>prometheus.scrape</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/query/'>query</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/query/filterfields/'>query.filterFields</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/query/filtermeasurement/'>query.filterMeasurement</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/query/fromrange/'>query.fromRange</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/query/inbucket/'>query.inBucket</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/record/'>record</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/record/get/'>record.get</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/table/'>table</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/table/fill/'>table.fill</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/experimental/usage/'>usage</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/usage/from/'>usage.from</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/experimental/usage/limits/'>usage.limits</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/addduration/'>experimental.addDuration</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/aligntime/'>experimental.alignTime</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/catch/'>experimental.catch</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/chain/'>experimental.chain</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/count/'>experimental.count</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/diff/'>experimental.diff</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/distinct/'>experimental.distinct</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/fill/'>experimental.fill</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/first/'>experimental.first</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/group/'>experimental.group</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/histogram/'>experimental.histogram</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/histogramquantile/'>experimental.histogramQuantile</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/integral/'>experimental.integral</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/join/'>experimental.join</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/kaufmansama/'>experimental.kaufmansAMA</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/last/'>experimental.last</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/max/'>experimental.max</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/mean/'>experimental.mean</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/min/'>experimental.min</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/mode/'>experimental.mode</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/objectkeys/'>experimental.objectKeys</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/preview/'>experimental.preview</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/quantile/'>experimental.quantile</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/set/'>experimental.set</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/skew/'>experimental.skew</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/spread/'>experimental.spread</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/stddev/'>experimental.stddev</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/subduration/'>experimental.subDuration</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/sum/'>experimental.sum</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/to/'>experimental.to</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/unique/'>experimental.unique</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/unpivot/'>experimental.unpivot</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/experimental/window/'>experimental.window</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/generate/'>generate</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/generate/from/'>generate.from</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/http/'>http</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/http/requests/'>requests</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/http/requests/do/'>requests.do</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/http/requests/get/'>requests.get</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/http/requests/peek/'>requests.peek</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/http/requests/post/'>requests.post</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/http/basicauth/'>http.basicAuth</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/http/endpoint/'>http.endpoint</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/http/pathescape/'>http.pathEscape</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/http/post/'>http.post</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/influxdata/'>influxdata</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/influxdata/influxdb/'>influxdb</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/'>monitor</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/check/'>monitor.check</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/deadman/'>monitor.deadman</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/from/'>monitor.from</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/log/'>monitor.log</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/logs/'>monitor.logs</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/notify/'>monitor.notify</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/statechanges/'>monitor.stateChanges</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/statechangesonly/'>monitor.stateChangesOnly</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/monitor/write/'>monitor.write</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/sample/'>sample</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/sample/aligntonow/'>sample.alignToNow</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/sample/data/'>sample.data</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/sample/list/'>sample.list</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/schema/'>schema</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/fieldkeys/'>schema.fieldKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/fieldsascols/'>schema.fieldsAsCols</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/measurementfieldkeys/'>schema.measurementFieldKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/measurements/'>schema.measurements</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/measurementtagkeys/'>schema.measurementTagKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/measurementtagvalues/'>schema.measurementTagValues</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/tagkeys/'>schema.tagKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/schema/tagvalues/'>schema.tagValues</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/secrets/'>secrets</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/secrets/get/'>secrets.get</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/tasks/'>tasks</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/tasks/lastsuccess/'>tasks.lastSuccess</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      <a href="#" class="children-toggle "></a>
                      <a href='/flux/v0/stdlib/influxdata/influxdb/v1/'>v1</a>
                      
                        <ul class="children ">
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/databases/'>v1.databases</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/fieldkeys/'>v1.fieldKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/fieldsascols/'>v1.fieldsAsCols</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/json/'>v1.json</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/measurementfieldkeys/'>v1.measurementFieldKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/measurements/'>v1.measurements</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/measurementtagkeys/'>v1.measurementTagKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/measurementtagvalues/'>v1.measurementTagValues</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/tagkeys/'>v1.tagKeys</a>
                            
                          </li>
                        
                          <li class="nav-item ">
                            
                            <a href='/flux/v0/stdlib/influxdata/influxdb/v1/tagvalues/'>v1.tagValues</a>
                            
                          </li>
                        
                        </ul>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/influxdata/influxdb/buckets/'>buckets</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/influxdata/influxdb/from/'>from</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/influxdata/influxdb/cardinality/'>influxdb.cardinality</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/influxdata/influxdb/wideto/'>influxdb.wideTo</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/influxdata/influxdb/to/'>to</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/internal/'>internal</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/internal/boolean/'>boolean</a>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/internal/debug/'>debug</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/feature/'>debug.feature</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/getoption/'>debug.getOption</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/null/'>debug.null</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/opaque/'>debug.opaque</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/pass/'>debug.pass</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/sink/'>debug.sink</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/debug/slurp/'>debug.slurp</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/internal/gen/'>gen</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/gen/tables/'>gen.tables</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/internal/influxql/'>influxql</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/internal/location/'>location</a>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/internal/promql/'>promql</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/changes/'>promql.changes</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/emptytable/'>promql.emptyTable</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/extrapolatedrate/'>promql.extrapolatedRate</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/holtwinters/'>promql.holtWinters</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/instantrate/'>promql.instantRate</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/join/'>promql.join</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/labelreplace/'>promql.labelReplace</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/linearregression/'>promql.linearRegression</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promhistogramquantile/'>promql.promHistogramQuantile</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqldayofmonth/'>promql.promqlDayOfMonth</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqldayofweek/'>promql.promqlDayOfWeek</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqldaysinmonth/'>promql.promqlDaysInMonth</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqlhour/'>promql.promqlHour</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqlminute/'>promql.promqlMinute</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqlmonth/'>promql.promqlMonth</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/promqlyear/'>promql.promqlYear</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/quantile/'>promql.quantile</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/resets/'>promql.resets</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/promql/timestamp/'>promql.timestamp</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/internal/testing/'>testing</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testing/assertmatches/'>testing.assertMatches</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testing/shoulderrorwithcode/'>testing.shouldErrorWithCode</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/internal/testutil/'>testutil</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testutil/fail/'>testutil.fail</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testutil/makeany/'>testutil.makeAny</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testutil/makerecord/'>testutil.makeRecord</a>
                      
                    </li>
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/internal/testutil/yield/'>testutil.yield</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/interpolate/'>interpolate</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/interpolate/linear/'>interpolate.linear</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/join/'>join</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/full/'>join.full</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/inner/'>join.inner</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/left/'>join.left</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/right/'>join.right</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/tables/'>join.tables</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/join/time/'>join.time</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/json/'>json</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/json/encode/'>json.encode</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/kafka/'>kafka</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/kafka/to/'>kafka.to</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/math/'>math</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/abs/'>math.abs</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/acos/'>math.acos</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/acosh/'>math.acosh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/asin/'>math.asin</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/asinh/'>math.asinh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/atan/'>math.atan</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/atan2/'>math.atan2</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/atanh/'>math.atanh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/cbrt/'>math.cbrt</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/ceil/'>math.ceil</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/copysign/'>math.copysign</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/cos/'>math.cos</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/cosh/'>math.cosh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/dim/'>math.dim</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/erf/'>math.erf</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/erfc/'>math.erfc</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/erfcinv/'>math.erfcinv</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/erfinv/'>math.erfinv</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/exp/'>math.exp</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/exp2/'>math.exp2</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/expm1/'>math.expm1</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/float64bits/'>math.float64bits</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/float64frombits/'>math.float64frombits</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/floor/'>math.floor</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/frexp/'>math.frexp</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/gamma/'>math.gamma</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/hypot/'>math.hypot</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/ilogb/'>math.ilogb</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/isinf/'>math.isInf</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/isnan/'>math.isNaN</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/j0/'>math.j0</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/j1/'>math.j1</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/jn/'>math.jn</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/ldexp/'>math.ldexp</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/lgamma/'>math.lgamma</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/log/'>math.log</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/log10/'>math.log10</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/log1p/'>math.log1p</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/log2/'>math.log2</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/logb/'>math.logb</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/minf/'>math.mInf</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/mmax/'>math.mMax</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/mmin/'>math.mMin</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/mod/'>math.mod</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/modf/'>math.modf</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/nan/'>math.NaN</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/nextafter/'>math.nextafter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/pow/'>math.pow</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/pow10/'>math.pow10</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/remainder/'>math.remainder</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/round/'>math.round</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/roundtoeven/'>math.roundtoeven</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/signbit/'>math.signbit</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/sin/'>math.sin</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/sincos/'>math.sincos</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/sinh/'>math.sinh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/sqrt/'>math.sqrt</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/tan/'>math.tan</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/tanh/'>math.tanh</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/trunc/'>math.trunc</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/y0/'>math.y0</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/y1/'>math.y1</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/math/yn/'>math.yn</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/pagerduty/'>pagerduty</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/actionfromlevel/'>pagerduty.actionFromLevel</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/actionfromseverity/'>pagerduty.actionFromSeverity</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/dedupkey/'>pagerduty.dedupKey</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/endpoint/'>pagerduty.endpoint</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/sendevent/'>pagerduty.sendEvent</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pagerduty/severityfromlevel/'>pagerduty.severityFromLevel</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/stdlib/planner/'>planner</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/stdlib/profiler/'>profiler</a>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/pushbullet/'>pushbullet</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pushbullet/endpoint/'>pushbullet.endpoint</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pushbullet/pushdata/'>pushbullet.pushData</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/pushbullet/pushnote/'>pushbullet.pushNote</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/regexp/'>regexp</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/compile/'>regexp.compile</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/findstring/'>regexp.findString</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/findstringindex/'>regexp.findStringIndex</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/getstring/'>regexp.getString</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/matchregexpstring/'>regexp.matchRegexpString</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/quotemeta/'>regexp.quoteMeta</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/replaceallstring/'>regexp.replaceAllString</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/regexp/splitregexp/'>regexp.splitRegexp</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/runtime/'>runtime</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/runtime/version/'>runtime.version</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/sampledata/'>sampledata</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/bool/'>sampledata.bool</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/float/'>sampledata.float</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/int/'>sampledata.int</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/numericbool/'>sampledata.numericBool</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/string/'>sampledata.string</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sampledata/uint/'>sampledata.uint</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/slack/'>slack</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/slack/endpoint/'>slack.endpoint</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/slack/message/'>slack.message</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/slack/validatecolorstring/'>slack.validateColorString</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/socket/'>socket</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/socket/from/'>socket.from</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/sql/'>sql</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sql/from/'>sql.from</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/sql/to/'>sql.to</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/strings/'>strings</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/compare/'>strings.compare</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/containsany/'>strings.containsAny</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/containsstr/'>strings.containsStr</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/countstr/'>strings.countStr</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/equalfold/'>strings.equalFold</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/hasprefix/'>strings.hasPrefix</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/hassuffix/'>strings.hasSuffix</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/index-fn/'>strings.index</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/indexany/'>strings.indexAny</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/isdigit/'>strings.isDigit</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/isletter/'>strings.isLetter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/islower/'>strings.isLower</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/isupper/'>strings.isUpper</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/joinstr/'>strings.joinStr</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/lastindex/'>strings.lastIndex</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/lastindexany/'>strings.lastIndexAny</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/repeat/'>strings.repeat</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/replace/'>strings.replace</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/replaceall/'>strings.replaceAll</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/split/'>strings.split</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/splitafter/'>strings.splitAfter</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/splitaftern/'>strings.splitAfterN</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/splitn/'>strings.splitN</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/strlen/'>strings.strlen</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/substring/'>strings.substring</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/title/'>strings.title</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/tolower/'>strings.toLower</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/totitle/'>strings.toTitle</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/toupper/'>strings.toUpper</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trim/'>strings.trim</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trimleft/'>strings.trimLeft</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trimprefix/'>strings.trimPrefix</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trimright/'>strings.trimRight</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trimspace/'>strings.trimSpace</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/strings/trimsuffix/'>strings.trimSuffix</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/system/'>system</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/system/time/'>system.time</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/testing/'>testing</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                <a href="#" class="children-toggle "></a>
                <a href='/flux/v0/stdlib/testing/expect/'>expect</a>
                
                  <ul class="children ">
                  
                    <li class="nav-item ">
                      
                      <a href='/flux/v0/stdlib/testing/expect/planner/'>expect.planner</a>
                      
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/assertempty/'>testing.assertEmpty</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/assertequals/'>testing.assertEquals</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/assertequalvalues/'>testing.assertEqualValues</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/diff/'>testing.diff</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/load/'>testing.load</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/testing/shoulderror/'>testing.shouldError</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/timezone/'>timezone</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/timezone/fixed/'>timezone.fixed</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/timezone/location/'>timezone.location</a>
                
              </li>
            
            </ul>
          
        </li>
      
        <li class="nav-item ">
          <a href="#" class="children-toggle "></a>
          <a href='/flux/v0/stdlib/types/'>types</a>
          
            <ul class="children ">
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/types/isnumeric/'>types.isNumeric</a>
                
              </li>
            
              <li class="nav-item ">
                
                <a href='/flux/v0/stdlib/types/istype/'>types.isType</a>
                
              </li>
            
            </ul>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    <a href="#" class="children-toggle "></a>
    <a href='/flux/v0/spec/'>Flux specification</a>
    
      <ul class="children ">
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/notation/'>Notation</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/representation/'>Representation</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/lexical-elements/'>Lexical elements</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/variables/'>Variables</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/options/'>Options</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/types/'>Types</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/blocks/'>Blocks</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/assignment-scope/'>Assignment and scope</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/expressions/'>Expressions</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/operators/'>Operators</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/packages/'>Packages</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/attributes/'>Attributes</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/statements/'>Statements</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/side-effects/'>Side effects</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/system-built-ins/'>System built-ins</a>
          
        </li>
      
        <li class="nav-item ">
          
          <a href='/flux/v0/spec/data-model/'>Data model</a>
          
        </li>
      
      </ul>
    
  </li>

  <li class="nav-category ">
    
    <a href='/flux/v0/function-types/'>Function types &amp; categories</a>
    
  </li>

  <li class="nav-category ">
    
    <a href='/flux/v0/function-type-signatures/'>Type signatures</a>
    
  </li>

  <li class="nav-category ">
    
    <a href='/flux/v0/influxdb-versions/'>Flux versions in InfluxDB</a>
    
  </li>


  

  
  
  
  
  

  
  
  

  
  
  
  

  </ul>
</aside>

  <div class="content-wrapper">
    <div class="sidebar-toggle" onclick="toggleSidebar('sidebar-open');return false;"><a href="#"><span
      class="cf-icon SidebarOpen"></span></a></div>
    <div class="article">
  <article class="article--content">
    <div class="title">
      <h1>Flux documentation</h1>
      




      
    </div>
    






    



















    





    




    


    






  <p>Flux is an open source functional data scripting language designed for querying,
analyzing, and acting on data.
Flux supports multiple data source types, including:</p>
<ul>
<li>Time series databases (such as <a href="/flux/v0/query-data/influxdb/">InfluxDB</a>)</li>
<li><a href="/flux/v0/query-data/sql/">Relational SQL databases</a>
(such as <a href="/flux/v0/query-data/sql/mysql/">MySQL</a> and <a href="/flux/v0/query-data/sql/postgresql/">PostgreSQL</a>)</li>
<li><a href="/flux/v0/query-data/csv/">CSV</a></li>
</ul>
<!-- - **Prometheus-formatted metrics** from HTTP-accessible endpoints -->
<p>Flux unifies code for querying, processing, writing, and acting on data into a single syntax.
The language is designed to be usable, readable, flexible, composable, testable, contributable, and shareable.</p>
<p><a href="/flux/v0/get-started/" class="btn">Get started with Flux</a></p>



    

    


    


    





    









  
  








<hr/>
<div class="helpful">
  <p>Was this page helpful?</p>
  <form onSubmit="return submitFeedbackForm('pagefeedback')" id="pagefeedback">
    <input type="text" name="fname" class="bowlofsweets" placeholder="First Name">
    <label class="radio-btns" id="helpful"><input  type="radio" name="helpful" value=true />Yes</label>
    <label class="radio-btns" id="not-helpful"><input  type="radio" name="helpful" value=false />No</label>
  </form>
  <div id="thank-you">
    <p>Thank you for your feedback!</p>
  </div>
  <div class="loader-wrapper">
    <div class="loader"></div>
  </div>
</div>
<hr/>
<div class="feedback block">
  <div class="support">
    <h4 id="bug-reports-and-feedback">Support and feedback</h4>
    <p>
      Thank you for being part of our community!
      We welcome and encourage your feedback and bug reports for Flux and this documentation.
      To find support, use the following resources:
    </p>
    <ul>
      <li><a class="community" href="https://community.influxdata.com/" target="_blank">InfluxData Community</a></li>
      <li><a class="slack" href="https://influxdata.com/slack" target="_blank">InfluxDB Community Slack</a></li>
    </ul>
    
      <p><strong>Customers with an annual or support contract</strong> can <a href="https://support.influxdata.com/">contact InfluxData Support</a>.</p>
    
  </div>
  <div class="actions">
    <a href="https://github.com/influxdata/docs-v2/edit/master/content/flux/v0/_index.md" class="btn edit" target="_blank">Edit this page</a>
    <a href="https://github.com/influxdata/docs-v2/issues/new?body=_Describe%20the%20issue%20here._%0a%0a%23%23%23%23%23%20Relevant%20URLs%0a-%20https://test2.docs.influxdata.com/flux/v0/%0a-%20_Provide%20other%20relevant%20URLs%20%28project%20issues,%20community%20threads,%20etc.%29_%0a" class="btn issue" target="_blank">Submit docs issue</a>
    <a href="https://github.com/influxdata/flux/issues/new/choose/" class="btn issue" target="_blank">Submit Flux issue</a>
  </div>
</div>



  </article>
</div>

    <div class="copyright">© 2024 InfluxData, Inc.</div>
  </div>
</div>





  
  
<div class="modal">
  <div class="modal-overlay"></div>
  <div class="modal-wrapper">
    <div class="modal-body">
      <a id="modal-close"href="#"><span class="icon-remove"></span></a>
      
      




























<div class="modal-content" id="influxdb-url-list">
  <h3>Where are you running InfluxDB?</h3>
  <p>Select your <strong>InfluxDB Cloud region and cluster</strong> or your <strong>InfluxDB OSS URL</strong> and we&rsquo;ll customize code examples for you. <em><a href="/influxdb/cloud/reference/regions/#regions-with-multiple-clusters">Identify your InfluxDB Cloud cluster</a></em>.</p>
  <div class="products">
    
      <ul id="pref-tabs">
        <li class="pref-tab active" id="pref-cloud"><span class="ephemeral">InfluxDB </span>Cloud</li>
        <li class="pref-tab" id="pref-oss"><span class="ephemeral">InfluxDB </span>OSS or <span class="abbr">Ent</span><span class="ephemeral">erprise</span></li>
      </ul>
      
  
  
  
  
  <div class="product active" id="cloud-urls">
    <div class="providers">
      
      
        <div class="provider">
          
            <h5>AWS</h5>
            <ul>
            
            
              <li class="region-group">
                
                  <p class="region">
                    <span class="fake-radio"></span>
                    US West (Oregon)
                  </p>
                  <ul class="clusters">
                  
                    <li>
                      <label for="us-west-2-1" >
                      <input type="radio" name="influxdb-cloud-url" id="us-west-2-1" value="https://us-west-2-1.aws.cloud2.influxdata.com" checked>
                      <span class="radio"></span>
                      us-west-2-1
                    </label>
                    </li>
                  
                    <li>
                      <label for="us-west-2-2" >
                      <input type="radio" name="influxdb-cloud-url" id="us-west-2-2" value="https://us-west-2-2.aws.cloud2.influxdata.com" checked>
                      <span class="radio"></span>
                      us-west-2-2
                    </label>
                    </li>
                  
                  </ul>
                
              </li>
            
              <li class="region-group">
                
                  <label for="us-east-virginia" >
                    <input type="radio" name="influxdb-cloud-url" id="us-east-virginia" value="https://us-east-1-1.aws.cloud2.influxdata.com" checked>
                    <span class="radio"></span>
                    US East (Virginia)
                  </label>
                
              </li>
            
              <li class="region-group">
                
                  <label for="eu-frankfurt" >
                    <input type="radio" name="influxdb-cloud-url" id="eu-frankfurt" value="https://eu-central-1-1.aws.cloud2.influxdata.com" checked>
                    <span class="radio"></span>
                    EU Frankfurt
                  </label>
                
              </li>
            
          
          </ul>
        </div>
      
        <div class="provider">
          
            <h5>GCP</h5>
            <ul>
            
            
              <li class="region-group">
                
                  <label for="us-central-iowa" >
                    <input type="radio" name="influxdb-cloud-url" id="us-central-iowa" value="https://us-central1-1.gcp.cloud2.influxdata.com" checked>
                    <span class="radio"></span>
                    US Central (Iowa)
                  </label>
                
              </li>
            
          
          </ul>
        </div>
      
        <div class="provider">
          
            <h5>Azure</h5>
            <ul>
            
            
              <li class="region-group">
                
                  <label for="west-europe-amsterdam" >
                    <input type="radio" name="influxdb-cloud-url" id="west-europe-amsterdam" value="https://westeurope-1.azure.cloud2.influxdata.com" checked>
                    <span class="radio"></span>
                    West Europe (Amsterdam)
                  </label>
                
              </li>
            
              <li class="region-group">
                
                  <label for="east-us-virginia" >
                    <input type="radio" name="influxdb-cloud-url" id="east-us-virginia" value="https://eastus-1.azure.cloud2.influxdata.com" checked>
                    <span class="radio"></span>
                    East US (Virginia)
                  </label>
                
              </li>
            
          
          </ul>
        </div>
      
    </div>
  </div>

      
  
  
  
  
  <div class="product inactive" id="oss-urls">
    <div class="providers">
      
      
        <div class="provider">
          
            <h5>Default</h5>
            <ul>
            
            
              <li class="region-group">
                
                  <label for="localhost8086" >
                    <input type="radio" name="influxdb-oss-url" id="localhost8086" value="http://localhost:8086" checked>
                    <span class="radio"></span>
                    localhost:8086
                  </label>
                
              </li>
            
          
          </ul>
        </div>
      
        <div class="provider">
          
            <h5>Custom</h5>
            <ul>
              <li class="custom">
                <label for="custom">
                  <input type="radio" name="influxdb-oss-url" id="custom" value="http://example.com:8080" checked>
                  <span class="radio"></span>
                </label>
                <form action="#" id="custom-url" data-message="">
                  <input type="text" name="custom-url-field" id="custom-url-field" placeholder="http://example.com:8080">
                </form>
              </li>
            </ul>
          
          </ul>
        </div>
      
    </div>
  </div>

    
  </div>
  <p class="note">For more information, see <a href="/influxdb/cloud/reference/regions/">InfluxDB Cloud regions</a> or <a href="/influxdb/v2/reference/urls/">InfluxDB OSS URLs</a>.</p>
</div>


      <div class="modal-content" id="page-feedback">
  <h3>Thank you for your feedback!</h3>
  <p>Let us know what we can do better:</p>
  
  <form id="pagefeedbacktext">
    <input type="text" name="fname" class="bowlofsweets" placeholder="First Name">
    <div class="lifecycle-wrapper">
      <textarea name="feedback-text"  placeholder="Missing information? Unclear explanations? Help us improve this page!"></textarea>
      <div id="thank-you">
        <p>Thank you!</p>
      </div>
      <div class="loader-wrapper">
        <div class="loader"></div>
      </div>
    </div>
    <div class="form-buttons">
      <div id="no-thanks">
        No thanks
      </div>
      <div class="submit-wrapper">
        <input type="submit" value="Submit" onclick="return submitLifeCycleAndClose();">
      </div>
    </div>
  </form>
 
</div>

      
      
    </div>
  </div>
</div>
  













  <div class="fullscreen-code highlight">
  <div id="fullscreen-code-placeholder"></div>
  <a class="fullscreen-close"><span class="icon-x"></span></a>
</div>


  
  








<script src="https://cdn.jsdelivr.net/npm/docsearch.js@2/dist/cdn/docsearch.min.js"></script>
<script>
var multiVersion = ['influxdb']
docsearch({
  apiKey: '501434b53a46a92a7931aecc7c9672e2',
  appId: 'WHM9UWMP6M',
  indexName: 'influxdata',
  inputSelector: '#algolia-search-input',
  
  debug: true,
  transformData: function (hits) {
    function fmtVersion (version, productKey) {
      if (version == null) {
        return '';
      } else if (version === 'cloud') {
        return 'Cloud (TSM)';
      } else if (version === 'cloud-serverless') {
        return 'Cloud Serverless';
      } else if (version === 'cloud-dedicated') {
        return 'Cloud Dedicated';
      } else if (version === 'clustered') {
        return 'Clustered';
      } else if (multiVersion.includes(productKey)) {
        return version;
      } else {
        return '';
      }
    };
    productNames = {
      influxdb: 'InfluxDB',
      enterprise_influxdb: 'InfluxDB Enterprise',
      flux: 'Flux',
      telegraf: 'Telegraf',
      chronograf: 'Chronograf',
      kapacitor: 'Kapacitor',
      platform: 'InfluxData Platform',
      resources: 'Additional Resources',
    };
    hits.map(hit => {
      pathData = new URL(hit.url).pathname.split('/').filter(n => n);
      product = productNames[pathData[0]];
      version = fmtVersion(pathData[1], pathData[0]);

      hit.product = product;
      hit.version = version;
      hit.hierarchy.lvl0 =
        hit.hierarchy.lvl0 +
        ` <span class=\"search-product-version\">${product} ${version}</span>`;
      hit._highlightResult.hierarchy.lvl0.value =
        hit._highlightResult.hierarchy.lvl0.value +
        ` <span class=\"search-product-version\">${product} ${version}</span>`;
    });
    return hits;
  },
  algoliaOptions: {
    hitsPerPage: 10,
    'facetFilters': [
      
        ['searchTag: flux-v0', 'resources:true']
      
    ]
  },
  autocompleteOptions: {
    templates: {
      header: '<div class="search-all-content"><a href="https:\/\/support.influxdata.com" target="_blank">Search all InfluxData content <span class="icon-arrow-up-right"></span></a>',
      empty: '<div class="search-no-results"><p>Not finding what you\'re looking for?</p> <a href="https:\/\/support.influxdata.com" target="_blank">Search all InfluxData content <span class="icon-arrow-up-right"></span></a></div>'
    }
  }
});
</script>

  
  <div id="docs-notifications">
  
    <div class="notification note min" id="influxdb-clustered-announcement" data-scope='/'>
      <div class="notification-title">
        <h3>Introducing InfluxDB Clustered</h3>
      </div>
      
      <div class="notification-slug">
        A highly available InfluxDB 3.0 cluster on your own infrastructure.
      </div>
      
      <div class="notification-content">
        <p><a href="/influxdb/clustered/">InfluxDB Clustered</a> is a highly available InfluxDB 3.0
cluster built for high write and query workloads on your own infrastructure.</p>
<p>InfluxDB Clustered is currently in <strong>limited availability</strong> and is only
available to a limited group of InfluxData customers. If interested in being
part of the limited access group, please
<a href="https://www.influxdata.com/contact-sales-influxdb-clustered">contact the InfluxData Sales team</a>.</p>
<p><a href="https://www.influxdata.com/blog/announcing-influxdb-clustered/">Learn more</a><br>
<a href="https://www.influxdata.com/contact-sales-influxdb-clustered">Contact InfluxData Sales</a></p>

      </div>
      <div class="close-notification"><span class="cf-icon Remove_New"></span></div>
      <span class="show"></span>
    </div>
  
    <div class="notification warn min" id="future-of-flux" data-scope='/flux/v0,/influxdb/v1,/influxdb/v2,/influxdb/cloud/'>
      <div class="notification-title">
        <h3>The future of Flux</h3>
      </div>
      
      <div class="notification-slug">
        Flux is going into maintenance mode. You can continue using it as you
currently are without any changes to your code.
      </div>
      
      <div class="notification-content">
        <p>Flux is going into maintenance mode and will not be supported in InfluxDB 3.0.
This was a decision based on the broad demand for SQL and the continued growth
and adoption of InfluxQL. We are continuing to support Flux for users in 1.x
and 2.x so you can continue using it with no changes to your code.
If you are interested in transitioning to InfluxDB 3.0 and want to
future-proof your code, we suggest using InfluxQL.</p>
<p>For information about the future of Flux, see the following:</p>
<ul>
<li><a href="https://influxdata.com/blog/the-plan-for-influxdb-3-0-open-source">The plan for InfluxDB 3.0 Open Source</a></li>
<li><a href="https://influxdata.com/blog/influxdb-3-0-is-2.5x-45x-faster-compared-to-influxdb-open-source/">InfluxDB 3.0 benchmarks</a></li>
</ul>

      </div>
      <div class="close-notification"><span class="cf-icon Remove_New"></span></div>
      <span class="show"></span>
    </div>
  
</div>



  
  

  
  

  </body>
  



























<script type="text/javascript">
  cloudUrls = ["https:\/\/us-west-2-1.aws.cloud2.influxdata.com", "https:\/\/us-east-1-1.aws.cloud2.influxdata.com", "https:\/\/eu-central-1-1.aws.cloud2.influxdata.com", "https:\/\/us-central1-1.gcp.cloud2.influxdata.com", "https:\/\/westeurope-1.azure.cloud2.influxdata.com", "https:\/\/eastus-1.azure.cloud2.influxdata.com", ]
</script>


<script type="text/javascript" src="/js/footer.bundle.648b2c12a3a5dbb86b6d833212c8833ced3b9ad40e9be31e5e681861eed010f8.js"></script>

















</html>

